VisualEditor: when pasting wikified text from an article, the text style (including link) can't be modified
Closed, ResolvedPublic8 Story Points

Description

If I edit the Fire article and paste the text "Water is a transparent and nearly colorless chemical substance" (copied from the Water article) in it, I won't be able to remove the bold style of "Water" nor change or remove the link on "chemical substance".

Note that it works (no bug) if the Water article was opened in the VisualEditor before copying the text.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 25 2016, 11:34 PM
Jdforrester-WMF triaged this task as "Unbreak Now!" priority.Mar 3 2017, 6:13 PM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This looks like the paste is creating a different set of annotations? Very troubling.

Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptMar 3 2017, 6:13 PM
DLynch added a subscriber: DLynch.Mar 6 2017, 5:25 PM

We do indeed have the paste creating two different hashes on the same annotation-object, which is confusing matters when it tries to build the 'clear' transaction.

Change 342847 had a related patch set uploaded (by DLynch):
[VisualEditor/VisualEditor] ElementLinearData: when removing original dom elements, remap hashes

https://gerrit.wikimedia.org/r/342847

Specifically, a regression due to T142943 / 14b5fbc3.

Change 342847 merged by jenkins-bot:
[VisualEditor/VisualEditor] ElementLinearData: when removing original dom elements, remap hashes

https://gerrit.wikimedia.org/r/342847

Change 343064 had a related patch set uploaded (by Jforrester; owner: DLynch):
[VisualEditor/VisualEditor] ElementLinearData: when removing original dom elements, remap hashes

https://gerrit.wikimedia.org/r/343064

Change 343064 merged by jenkins-bot:
[VisualEditor/VisualEditor] ElementLinearData: when removing original dom elements, remap hashes

https://gerrit.wikimedia.org/r/343064

Change 343071 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (5c4c9e8ed)

https://gerrit.wikimedia.org/r/343071

Change 343072 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor] Update VE core submodule to wmf/1.29.0-wmf.16 HEAD (50a6323d7)

https://gerrit.wikimedia.org/r/343072

Change 343071 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor] Update VE core submodule to master (5c4c9e8ed)

https://gerrit.wikimedia.org/r/343071

This is now fixed in master, and we'll deploy it to production in the next hour or so.

Change 343072 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor] Update VE core submodule to wmf/1.29.0-wmf.16 HEAD (50a6323d7)

https://gerrit.wikimedia.org/r/343072

Mentioned in SAL (#wikimedia-operations) [2017-03-16T19:07:39Z] <thcipriani@tin> Synchronized php-1.29.0-wmf.16/extensions/VisualEditor/lib/ve: SWAT: [[gerrit:343072|Update VE core submodule to wmf/1.29.0-wmf.16 HEAD]] (50a6323d7) T154123 T160479 (duration: 00m 44s)

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 16 2017, 7:23 PM

Mentioned in SAL (#wikimedia-operations) [2017-03-17T23:36:35Z] <catrope@tin> Synchronized php-1.29.0-wmf.16/extensions/VisualEditor/lib/ve: Fixes for T154123 T160479 T160190 T160197 (duration: 00m 42s)

Now re-pushed to production to resolve a deployment issue.

Working great, thanks!

Jdforrester-WMF set the point value for this task to 8.Mar 21 2017, 4:06 PM